<?php

namespace Drp\NativeEventApp\Exceptions;

class InvalidTemplate extends \Exception
{
    /**
     * @var int
     */
    const BAD_FUNCTION = 1;

    public static function badFunction(string $function, string $key): self
    {
        return new self(
            'You can not call "' . $function . '" on this given property: ' . $key,
            self::BAD_FUNCTION
        );
    }
}
