<?php

namespace Drp\NativeEventApp\Modules;

use Drp\NativeEventApp\Modules\Types\Container;

class MissingModule extends Container
{
    public static function getDescription(): string
    {
        return 'Module type could not be found';
    }

    public function setAttributes(array $attributes): Module
    {
        foreach ($attributes as $attributeName => $attribute) {
            $this->{$attributeName} = $attribute;
        }

        return $this;
    }
}
